/**
 * @file
 * @module constant.js
 * @version 1.0.0
 */

'use strict';

export default {

  Config: {
    SampleVideo: 'http://qiniu.alphabets.cn/mov.mp4',
    SampleImage: '/static/images/empty-image.png',
    FileUploadAPI: '/api/file/add',
    FileImageAPI: '/api/file/image?id=',
    Width: 1,
    Height: 7
  },

  EVENT: {
    SELECT: 'select',           // 组件: 选择组件
    EXPAND: 'expand',           // 组件: 调整宽度
    ADD: 'add',                 // 组件: 添加
    REMOVE: 'remove',           // 组件: 删除
    COPY: 'copy',               // 组件: 复制
    MOVE: 'move',               // 组件: 移动
    CHANGE: 'change',           // 组件: 值变更
    FOLDBLOCK: 'foldblock',     // 组件: 分组组件折叠
    SELECTFORM: 'selectform',   // 表单: 选择表单
    FOLDFORM: 'foldform',       // 表单: 折叠表单
    PLUGIN: 'plugin',           // 表单: 显示插件管理器
    ADDROW: 'addrow',           // 表单: 添加行
    REMOVEROW: 'removerow',     // 表单: 删除行
    COPYROW: 'copyrow'          // 表单: 复制行
  },

  KEY: {
    BACKSPACE: 8,
    DELETE: 46,
    ENTER: 13
  },

  MODE: {
    VIEW: 'view',               // 视图模式（查看模式，不显示控件只显示值）
    READONLY: 'readonly',       // 只读模式（查看模式，显示控件和输入的值）
    INPUT: 'input',             // 编辑模式（输入模式，使用表单输入数据）
    DESIGN: 'design'            // 设计模式（可以添加删除组件，设定组件的属性）
  },

  PROPS_TYPE_WIDGET: 'Widget',
  PROPS_TYPE_FORM: 'Form',

  WIDGET_TYPE_BLOCK: 'Block',
  WIDGET_TYPE_SUBBLOCK: 'SubBlock'
};