/**
 * @file
 * @module widget-file.js
 * @version 1.0.0
 */

'use strict';

import React    from 'react'
import ReactDOM from 'react-dom'
import Widget   from './widget'

export default class File extends Widget {

  constructor(props) {
    super(props);
    this.state = {name: '选择'};
    this.onChange = this.onChange.bind(this);
  }

  render() {

    this.props.data.value = this.props.data.value || [];

    return React.DOM.div({className: 'input input-file'},
      React.DOM.span({className: 'button'},
        React.DOM.input({
          type: 'file',
          disabled: this.disabled(),
          accept: this.props.data.fileAccept,
          multiple: this.props.data.fileMultiple,
          onChange: this.onChange
        }), this.state.name),
      React.DOM.input({type: 'text', readOnly: 'readonly', value: this.getValue()})
    );
  }

  getValue() {
    return _.pluck(this.props.data.value, 'name').join(',');
  }

  onChange(event) {
    this.upload(event);
  }

  onProcess(progress) {
    this.setState({name: (progress < 1 || progress > 99) ? '选择' : (progress + '%')});
  }

  onFinish(error, result) {
    if (error) {
      return this.onError(error);
    }

    let files = _.map(result.data, function (item) {
      return {id: item._id, name: item.name, type: item.contentType, length: item.length};
    });

    this.change(files, this.props.data.name)
  }
}
