/**
 * @file
 * @module widget-subblock.js
 * @version 1.0.0
 */

'use strict';

import React    from 'react'
import Widget   from './widget'

export default class SubBlock extends Widget {

  constructor(props) {
    super(props);
    this.state = {};

    if (_.isUndefined(this.props.data.description)) {
      this.props.data.description = this.props.description;
    }
  }

  render() {

    return React.DOM.div({className: 'sub-block'},

      React.DOM.i({className: 'fa fa-fw fa-' + this.className()}),
      React.DOM.div({}, this.description())
    );
  }

  className() {
    return this.props.data.blockIcon || 'reorder';
  }

  description() {
    return this.props.data.description;
  }
}

SubBlock.defaultProps = {
  description: 'SubBlock'
};