/**
 * @file
 * @module widget-video.js
 * @version 1.0.0
 */

'use strict';

import React    from 'react'
import ReactDOM from 'react-dom'
import Widget   from './widget'
import CONST    from './constant'

export default class video extends Widget {

  constructor(props) {
    super(props);
  }

  componentDidUpdate() {
    ReactDOM.findDOMNode(this).load();
  }

  render() {
    return React.DOM.video({
      style: {width: '100%'},
      controls: this.props.data.videoControls ? 'controls' : null,
      autoPlay: (this.props.data.videoAutoplay || 'autoplay')
    }, React.DOM.source({src: this.src(), type: this.props.data.videoType || 'video/mp4'}));
  }

  src() {
    return this.value() ? this.value() : CONST.Config.SampleVideo;
  }
}
