/**
 * @module index.js
 */

'use strict';

import panel              from './common/form-panel'
import control            from './common/control'
import properties         from './common/properties'
import plugin             from './common/plugin'
import CONST              from './common/constant'
import Widget             from './common/widget'

import Block              from './common/widget-block'
import ButtonGroup        from './common/widget-buttongroup'
import Calendar           from './common/widget-calendar'
import CheckBox           from './common/widget-checkbox'
import ComboBox           from './common/widget-combobox'
import ColorTag           from './common/widget-colortag'
import File               from './common/widget-file'
import Grid               from './common/widget-grid'
import Image              from './common/widget-image'
import Input              from './common/widget-input'
import Label              from './common/widget-label'
import Line               from './common/widget-line'
import Number             from './common/widget-number'
import Option             from './common/widget-option'
import RadioBox           from './common/widget-radiobox'
import Switch             from './common/widget-switch'
import SubBlock           from './common/widget-subblock'
import Tag                from './common/widget-tag'
import TextArea           from './common/widget-textarea'
import Video              from './common/widget-video'
import Icon               from './common/widget-icon'
import Plugin             from './common/widget-plugin'

import ControlJson        from './common/control.json'
import PropertiesJson     from './common/properties.json'

control.defaultProps.control = ControlJson;
properties.defaultProps.propertie = PropertiesJson;
Widget.defaultProps.control = {
  Block,
  ButtonGroup,
  Calendar,
  CheckBox,
  ComboBox,
  ColorTag,
  File,
  Grid,
  Image,
  Input,
  Label,
  Line,
  Number,
  Option,
  RadioBox,
  Switch,
  SubBlock,
  Tag,
  TextArea,
  Video,
  Icon,
  Plugin
};

export {
  panel,
  control,
  properties,
  plugin,

  CONST,
  Widget,
  Block,
  ButtonGroup,
  Calendar,
  CheckBox,
  ComboBox,
  ColorTag,
  File,
  Grid,
  Image,
  Input,
  Label,
  Line,
  Number,
  Option,
  RadioBox,
  Switch,
  SubBlock,
  Tag,
  TextArea,
  Video,
  Icon,
  Plugin
}
